#ifndef _UAPI_LINUX_GTP_H_
#define _UAPI_LINUX_GTP_H__

enum {
	IFLA_GTP_UNSPEC,
	IFLA_GTP_FD0,
	IFLA_GTP_FD1,
	IFLA_GTP_HASHSIZE,
	__IFLA_GTP_MAX,
};
#define IFLA_GTP_MAX (__IFLA_GTP_MAX - 1)

enum gtp_genl_cmds {
	GTP_CMD_TUNNEL_NEW,
	GTP_CMD_TUNNEL_DELETE,
	GTP_CMD_TUNNEL_GET,

	GTP_CMD_TUNNEL_MAX,
};

enum gtp_version {
	GTP_V0 = 0,
	GTP_V1,
};

enum gtp_cfg_attrs {
	GTPA_CFG_UNSPEC = 0,
	GTPA_CFG_LINK,
	GTPA_CFG_LOCAL_ADDR_IPV4,
	GTPA_CFG_HSIZE,
	__GTPA_CFG_MAX,
};
#define GTPA_CFG_MAX (__GTPA_CFG_MAX + 1)

enum gtp_attrs {
	GTPA_UNSPEC = 0,
	GTPA_LINK,
	GTPA_VERSION,
	GTPA_TID,	/* 64 bits for GTPv1 */
	GTPA_SGSN_ADDRESS,
	GTPA_MS_ADDRESS,
	GTPA_FLOWID,	/* only for GTPv0 */
	__GTPA_MAX,
};
#define GTPA_MAX (__GTPA_MAX + 1)

#endif /* _UAPI_LINUX_GTP_H_ */
